<!DOCTYPE HTML>
<html lang="en">
<head>
<!-- Generated by javadoc (17) on Thu Oct 27 22:53:58 EEST 2022 -->
<title>org.vtokarev.controller</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-10-27">
<meta name="description" content="declaration: package: org.vtokarev.controller">
<meta name="generator" content="javadoc/PackageWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
<script type="text/javascript" src="../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="package-declaration-page">
<script type="text/javascript">var pathtoroot = "../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../../../index.html">Overview</a></li>
<li class="nav-bar-cell1-rev">Package</li>
<li>Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html#package">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Package:&nbsp;</li>
<li>Description&nbsp;|&nbsp;</li>
<li>Related Packages&nbsp;|&nbsp;</li>
<li><a href="#class-summary">Classes and Interfaces</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1 title="Package org.vtokarev.controller" class="title">Package org.vtokarev.controller</h1>
</div>
<hr>
<div class="package-signature">package <span class="element-name">org.vtokarev.controller</span></div>
<section class="summary">
<ul class="summary-list">
<li>
<div id="class-summary">
<div class="caption"><span>Classes</span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Class</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color class-summary class-summary-tab2"><a href="BookingListServlet.html" title="class in org.vtokarev.controller">BookingListServlet</a></div>
<div class="col-last even-row-color class-summary class-summary-tab2">
<div class="block">The <code>BookingListServlet</code> class processes GET <code>bookingList</code> requests generated by users with GUEST role.</div>
</div>
<div class="col-first odd-row-color class-summary class-summary-tab2"><a href="BookingServlet.html" title="class in org.vtokarev.controller">BookingServlet</a></div>
<div class="col-last odd-row-color class-summary class-summary-tab2">
<div class="block">The <code>BookingServlet</code> class processes GET <code>booking</code> requests generated by users with GUEST and MANAGER role.</div>
</div>
<div class="col-first even-row-color class-summary class-summary-tab2"><a href="BookRoomGuestServlet.html" title="class in org.vtokarev.controller">BookRoomGuestServlet</a></div>
<div class="col-last even-row-color class-summary class-summary-tab2">
<div class="block">The <code>BookRoomGuestServlet</code> class implements <code>doGet</code> method that processes GET <code>bookRoomGuest</code> requests generated by users with GUEST role.</div>
</div>
<div class="col-first odd-row-color class-summary class-summary-tab2"><a href="BookRoomManagerServlet.html" title="class in org.vtokarev.controller">BookRoomManagerServlet</a></div>
<div class="col-last odd-row-color class-summary class-summary-tab2">
<div class="block">The <code>BookRoomManagerServlet</code> class implements <code>doPost</code> method that processes POST <code>bookRoomManager</code> requests generated by users with MANAGER role.</div>
</div>
<div class="col-first even-row-color class-summary class-summary-tab2"><a href="CreateRequestServlet.html" title="class in org.vtokarev.controller">CreateRequestServlet</a></div>
<div class="col-last even-row-color class-summary class-summary-tab2">
<div class="block">The <code>CreateRequestServlet</code> class implements <code>doGet</code> method that processes GET <code>createRequest</code> requests generated by users with GUEST role.</div>
</div>
<div class="col-first odd-row-color class-summary class-summary-tab2"><a href="HomeServlet.html" title="class in org.vtokarev.controller">HomeServlet</a></div>
<div class="col-last odd-row-color class-summary class-summary-tab2">
<div class="block">The <code>HomeServlet</code> class implements <code>doGet</code> method that processes GET <code>home</code> requests generated by users with any roles
 and forward control to <code>home.jsp</code> view.</div>
</div>
<div class="col-first even-row-color class-summary class-summary-tab2"><a href="ImageListServlet.html" title="class in org.vtokarev.controller">ImageListServlet</a></div>
<div class="col-last even-row-color class-summary class-summary-tab2">
<div class="block">The <code>ImageListServlet</code> uses for operation with images of the <a href="../domain/Room.html" title="class in org.vtokarev.domain"><code>Room</code></a>.</div>
</div>
<div class="col-first odd-row-color class-summary class-summary-tab2"><a href="LoginServlet.html" title="class in org.vtokarev.controller">LoginServlet</a></div>
<div class="col-last odd-row-color class-summary class-summary-tab2">
<div class="block">The <code>LoginServlet</code> uses for login users.</div>
</div>
<div class="col-first even-row-color class-summary class-summary-tab2"><a href="LogoutServlet.html" title="class in org.vtokarev.controller">LogoutServlet</a></div>
<div class="col-last even-row-color class-summary class-summary-tab2">
<div class="block">The <code>LogoutServlet</code> uses for logout users.</div>
</div>
<div class="col-first odd-row-color class-summary class-summary-tab2"><a href="ModifyRoomServlet.html" title="class in org.vtokarev.controller">ModifyRoomServlet</a></div>
<div class="col-last odd-row-color class-summary class-summary-tab2">
<div class="block"><code>ModifyRoomServlet</code> class uses for create, edit and delete rooms.</div>
</div>
<div class="col-first even-row-color class-summary class-summary-tab2"><a href="ModifyUserServlet.html" title="class in org.vtokarev.controller">ModifyUserServlet</a></div>
<div class="col-last even-row-color class-summary class-summary-tab2">
<div class="block"><code>ModifyRoomServlet</code> class uses for create, edit and delete rooms.</div>
</div>
<div class="col-first odd-row-color class-summary class-summary-tab2"><a href="ProceedBookingServlet.html" title="class in org.vtokarev.controller">ProceedBookingServlet</a></div>
<div class="col-last odd-row-color class-summary class-summary-tab2">
<div class="block"><code>ProceedBookingServlet</code> class uses for proceed <a href="../domain/Booking.html" title="class in org.vtokarev.domain"><code>Booking</code></a> i.e.</div>
</div>
<div class="col-first even-row-color class-summary class-summary-tab2"><a href="ProceedRequestServlet.html" title="class in org.vtokarev.controller">ProceedRequestServlet</a></div>
<div class="col-last even-row-color class-summary class-summary-tab2">
<div class="block"><code>ProceedRequestServlet</code> class uses for proceeding <a href="../domain/RoomRequest.html" title="class in org.vtokarev.domain"><code>RoomRequest</code></a> that is pay or cancel it.</div>
</div>
<div class="col-first odd-row-color class-summary class-summary-tab2"><a href="RequestListServlet.html" title="class in org.vtokarev.controller">RequestListServlet</a></div>
<div class="col-last odd-row-color class-summary class-summary-tab2">
<div class="block">The <code>RequestListServlet</code> class processes GET <code>requestList</code> requests generated by users with GUEST and MANAGER roles.</div>
</div>
<div class="col-first even-row-color class-summary class-summary-tab2"><a href="RoomListServlet.html" title="class in org.vtokarev.controller">RoomListServlet</a></div>
<div class="col-last even-row-color class-summary class-summary-tab2">
<div class="block">The <code>RoomListServlet</code> class processes GET <code>roomList</code> requests generated by users with ADMIN role.</div>
</div>
<div class="col-first odd-row-color class-summary class-summary-tab2"><a href="SearchRoomServlet.html" title="class in org.vtokarev.controller">SearchRoomServlet</a></div>
<div class="col-last odd-row-color class-summary class-summary-tab2">
<div class="block"><code>SearchRoomServlet</code> class uses for search room functionality for GUEST and MANAGER.</div>
</div>
<div class="col-first even-row-color class-summary class-summary-tab2"><a href="UploadImageServlet.html" title="class in org.vtokarev.controller">UploadImageServlet</a></div>
<div class="col-last even-row-color class-summary class-summary-tab2">
<div class="block">The <code>UploadImageServlet</code> class implements <code>doPost</code> method for uploading room images functionality.</div>
</div>
<div class="col-first odd-row-color class-summary class-summary-tab2"><a href="UserListServlet.html" title="class in org.vtokarev.controller">UserListServlet</a></div>
<div class="col-last odd-row-color class-summary class-summary-tab2">
<div class="block">The <code>UserListServlet</code> class processes GET <code>userList</code> requests generated by users with ADMIN role.</div>
</div>
</div>
</div>
</li>
</ul>
</section>
</main>
</div>
</div>
</body>
</html>
